Subject: Re: linux-next: manual merge of the akpm-current tree with the percpu tree

From: Dennis Zhou <[email-masked]>
Date: Thu, 1 Jul 2021 03:31:30 +0000

Hi Stephen,

On Thu, Jul 01, 2021 at 01:23:16PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 7 Jun 2021 18:33:12 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next merge of the akpm-current tree got a conflict in:
> > 
> >   mm/memcontrol.c
> > 
> > between commit:
> > 
> >   0f0cace35fa6 ("mm, memcg: mark cgroup_memory_nosocket, nokmem and noswap as __ro_after_init")
> > 
> > from the percpu tree and commits:
> > 
> >   dfe14954c6e4 ("mm: memcg/slab: don't create kmalloc-cg caches with cgroup.memory=nokmem")
> >   3fd971b13287 ("mm-memcg-slab-create-a-new-set-of-kmalloc-cg-n-caches-v5")
> >   53270d6d0c1f ("mm-memcg-slab-create-a-new-set-of-kmalloc-cg-n-caches-v5-fix")
> > 
> > from the akpm-current tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> > 
> > Andrew, you may want to look at commit
> > 
> >   4d5c8aedc8aa ("mm, memcg: introduce mem_cgroup_kmem_disabled()")
> > 
> > from the percpu tree.
> > 
> > -- 
> > Cheers,
> > Stephen Rothwell
> > 
> > diff --cc mm/memcontrol.c
> > index 3c1641c67122,b9a6db6a7d4f..000000000000
> > --- a/mm/memcontrol.c
> > +++ b/mm/memcontrol.c
> > @@@ -80,10 -80,10 +80,10 @@@ struct mem_cgroup *root_mem_cgroup __re
> >   DEFINE_PER_CPU(struct mem_cgroup *, int_active_memcg);
> >   
> >   /* Socket memory accounting disabled? */
> >  -static bool cgroup_memory_nosocket;
> >  +static bool cgroup_memory_nosocket __ro_after_init;
> >   
> >   /* Kernel memory accounting disabled? */
> > - static bool cgroup_memory_nokmem __ro_after_init;
> >  -bool cgroup_memory_nokmem;
> > ++bool cgroup_memory_nokmem __ro_after_init;
> >   
> >   /* Whether the swap controller is active */
> >   #ifdef CONFIG_MEMCG_SWAP
> 
> This is now a conflict between the percpu tree and Linus' tree.
> 

Yeah I'm aware. I'm planning on sending my PR tomorrow mentioning it. I
also have an example merge up in percpu#for-5.14-merge for Linus.

Thanks,
Dennis